---
title: List Teams
description: Reference for the GET /console/v1/users/teams API endpoint.
product: general
token_estimate: 2203
---
# List Teams

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## List Teams

**GET** `/console/v1/users/teams`

Full URL: `https://statsigapi.net/console/v1/users/teams`

List Teams

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Query parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| limit (query) | integer | No | 10 | Results per page Constraints: string, number |
| page (query) | integer | No | 1 | Page number Constraints: string, number |

## Response (application/json)

**200** — Get teams response

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object[] | Yes | — | — |
| data.name | string | Yes | — | The name of the team. |
| data.description | string | No | — | Description of the team. |
| data.id | string | Yes | — | The ID of the team. |
| data.defaultGateMetrics | object[] | Yes | — | Default gate metrics for the team. |
| data.defaultGateMetrics.name | string | Yes | — | The name of the metric. |
| data.defaultGateMetrics.type | string | Yes | — | The type of the metric. |
| data.defaultExperimentPrimaryMetrics | object[] | Yes | — | Default primary metrics for experiments in the team. |
| data.defaultExperimentPrimaryMetrics.name | string | Yes | — | The name of the metric. |
| data.defaultExperimentPrimaryMetrics.type | string | Yes | — | The type of the metric. |
| data.defaultExperimentSecondaryMetrics | object[] | Yes | — | Default secondary metrics for experiments in the team. |
| data.defaultExperimentSecondaryMetrics.name | string | Yes | — | The name of the metric. |
| data.defaultExperimentSecondaryMetrics.type | string | Yes | — | The type of the metric. |
| data.defaultHoldoutMetrics | object[] | Yes | — | Default holdout metrics for the team. |
| data.defaultHoldoutMetrics.name | string | Yes | — | The name of the metric. |
| data.defaultHoldoutMetrics.type | string | Yes | — | The type of the metric. |
| data.changeTeamConfigs | string | Yes | — | Who can change team configurations: "anyone" or "team_only". Allowed values: anyone, team_only |
| data.reviewApproval | string | Yes | — | Who can review and approve changes: "anyone", "team_only", or "admin_only". Allowed values: anyone, team_only, admin_only |
| data.defaultTargetApplications | string[] | Yes | — | Default target applications for the team. |
| data.defaultHoldoutID | string | No | — | Default holdout ID for the team, if applicable. Constraints: nullable |
| data.requireReviews | boolean | No | — | Whether reviews are required for changes, if applicable. Constraints: nullable |
| data.requireGateTemplates | boolean | No | — | Whether gate templates are required for the team, if applicable. Constraints: nullable |
| data.requireExperimentTemplates | boolean | No | — | Whether experiment templates are required for the team, if applicable. Constraints: nullable |
| data.requireDynamicConfigTemplates | boolean | No | — | Whether dynamic config templates are required for the team, if applicable. Constraints: nullable |
| pagination | object | Yes | — | Pagination metadata for checking if there is next page for example. |
| pagination.itemsPerPage | number | Yes | — | Constraints: format: double |
| pagination.pageNumber | number | Yes | — | Constraints: format: double |
| pagination.nextPage | string | Yes | — | Constraints: nullable |
| pagination.previousPage | string | Yes | — | Constraints: nullable |
| pagination.totalItems | number | No | — | Constraints: format: double |
| pagination.all | string | No | — | — |

```json
{
  "message": "Teams listed successfully.",
  "data": [
    {
      "name": "test",
      "defaultGateMetrics": [],
      "defaultExperimentPrimaryMetrics": [],
      "defaultExperimentSecondaryMetrics": [],
      "defaultHoldoutMetrics": [],
      "changeTeamConfigs": "anyone",
      "reviewApproval": "anyone",
      "defaultTargetApplications": []
    },
    {
      "name": "Console Team",
      "defaultGateMetrics": [],
      "defaultExperimentPrimaryMetrics": [],
      "defaultExperimentSecondaryMetrics": [],
      "defaultHoldoutMetrics": [],
      "changeTeamConfigs": "anyone",
      "reviewApproval": "anyone",
      "defaultTargetApplications": []
    },
    {
      "name": "WHN-ish Team",
      "defaultGateMetrics": [
        {
          "name": "MA Custom Metric 2",
          "type": "event_user"
        },
        {
          "name": "MA Custom Metric 9",
          "type": "event_count_custom"
        },
        {
          "name": "MA Custom Metric 3",
          "type": "event_count_custom"
        }
      ],
      "defaultExperimentPrimaryMetrics": [],
      "defaultExperimentSecondaryMetrics": [
        {
          "name": "MA Custom Metric 2",
          "type": "event_user"
        },
        {
          "name": "MA Custom Metric 9",
          "type": "event_count_custom"
        },
        {
          "name": "MA Custom Metric 3",
          "type": "event_count_custom"
        }
      ],
      "defaultHoldoutMetrics": [],
      "changeTeamConfigs": "team_only",
      "reviewApproval": "team_only",
      "defaultTargetApplications": []
    }
  ],
  "pagination": {
    "itemsPerPage": 3,
    "pageNumber": 1,
    "totalItems": 8,
    "nextPage": "/console/v1/users/teams?page=2&limit=3",
    "previousPage": null,
    "all": "/console/v1/users/teams"
  }
}
```

**400** — Invalid request. Please check the request input and try again.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| status | integer | Yes | — | Allowed values: 400 |
| message | string | Yes | — | — |

```json
{
  "status": 400,
  "message": "Invalid request. Please check the request input and try again."
}
```

**401** — This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| status | integer | Yes | — | Allowed values: 401 |
| message | string | Yes | — | — |

```json
{
  "status": 401,
  "message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/users/teams?limit=10&page=1" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/users/teams?limit=10&page=1",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/users/teams?limit=10&page=1", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/users/teams?limit=10&page=1");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/users/teams?limit=10&page=1", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/users/teams?limit=10&page=1"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/users/teams?limit=10&page=1")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

